=== debian/changelog ===
ros-kinetic-transmission-interface (0.13.5-1xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Feb 2020 00:00:00 -0000

ros-kinetic-transmission-interface (0.13.4-1xenial) xenial; urgency=high

  * add minimum required pluginlib version
  * Contributors: Mikael Arguedas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-kinetic-transmission-interface (0.13.3-1xenial) xenial; urgency=high

  * Introduce shared_ptr typedefs
  * Update maintainers
  * Fix catkin_lint errors and warnings
  * fix license string
  * Update transmission parser to parse the joint role
  * Contributors: Bence Magyar, Patrick Holthaus, jlack1987

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-kinetic-transmission-interface (0.13.2-1xenial) xenial; urgency=high

  * migrate to new class list macros header
  * migrate classloader headers
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-kinetic-transmission-interface (0.13.1-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-kinetic-transmission-interface (0.13.0-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-kinetic-transmission-interface (0.12.0-1xenial) xenial; urgency=high

  * Add unit tests for new bidirectional joint interface providers
  * Add bidirectional joint interface providers
  * Add inverse transmission interfaces to TransmissionLoaderData
  * Contributors: Jordan Lack

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-kinetic-transmission-interface (0.11.5-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-kinetic-transmission-interface (0.11.4-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-kinetic-transmission-interface (0.11.3-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-kinetic-transmission-interface (0.11.2-1xenial) xenial; urgency=high

  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-kinetic-transmission-interface (0.11.1-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-kinetic-transmission-interface (0.11.0-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-kinetic-transmission-interface (0.10.1-1xenial) xenial; urgency=high

  * Remove control_toolbox dependency. Fix thread linking error coming from removal of dependency.
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-kinetic-transmission-interface (0.10.0-1xenial) xenial; urgency=high

  * Allow loading transmissions from a vector of TransmissionInfo instances.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-kinetic-transmission-interface (0.9.3-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-kinetic-transmission-interface (0.9.2-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-kinetic-transmission-interface (0.9.1-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-kinetic-transmission-interface (0.9.0-1xenial) xenial; urgency=high

  * Buildsystem and documentation fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, shadowmanos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-kinetic-transmission-interface (0.8.2-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-kinetic-transmission-interface (0.8.1-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-kinetic-transmission-interface (0.8.0-1xenial) xenial; urgency=high

  * Add developer documentation.
  * Build script fixes.
    - Add missing libraries to catkin_package call.
    - Gate tests with CATKIN_ENABLE_TESTING.
    - Add missing files to install target.
  * Fix possible memory corruption in tests.
  * Perform sanity checks on members, not parameters.
    - The result is the same, but this is more uniform with the rest of the code.
  * Enable joint reduction spec for 4-bar linkages.
    - As in the differential transmission, it's convenient to specify an additional
    mechanical reduction on the joint output. This is especially convenient for
    flipping the rotation direction of a joint (negative reduction value).
    - Update URDF loader.
    - Update documentation and tests.
  * Trivial, cosmetic fixes.
  * C++11 compatibility fixes.
  * Fix resource check for multi-dof transmisisons.
  * Efficiency fix.
    - cppcheck flagged a [passedByValue] warning. Using const references instead.

