=== debian/control ===
Source: ros-kinetic-transmission-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-hardware-interface, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-resource-retriever, ros-kinetic-roscpp, ros-kinetic-rosunit
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-kinetic-transmission-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-roscpp
Description: Transmission Interface.
